Export saved objects

Base URL
https://{kibana_url}
  • POST /api/saved_objects/_export
  • POST /s/{space_id}/api/saved_objects/_export
Auth

Retrieve sets of saved objects that you want to import into Kibana. You must include type or objects in the request body.

Exported saved objects are not backwards compatible and cannot be imported into an older version of Kibana.

Note

The savedObjects.maxImportExportSize configuration setting limits the number of saved objects which may be exported.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

excludeExportDetails boolean · default: false

Do not add export details entry at the end of the stream.

includeReferencesDeep boolean

Includes all of the referenced objects in the exported objects.

objects object[]

A list of objects to export.

type union string | string[]

The saved object types to include in the export. Use * to export all the types.

Responses

Indicates a successful call.

application/x-ndjson

Response Type: object

Bad request.

application/json
error enum required
Values: Bad Request
message string required
statusCode enum required
Values: 400
Base URL
https://{kibana_url}